> # NAME

> cgD3D10IsProfileSupported - determine if a profile is supported by cgD3D10

> # SYNOPSIS

>       #include <Cg/cgD3D10.h>

>       CGbool cgD3D10IsProfileSupported( CGprofile profile );

> # PARAMETERS

> profile

>   The profile which will be checked for support.

> # RETURN VALUES

> Returns CG_TRUE if profile is supported by the cgD3D10 library.

> Returns CG_FALSE otherwise.

> However if cgD3D10SetDevice has not been called to register a ID3D10Device device yet, this routine returns CG_TRUE for all valid D3D10 profiles.

> # DESCRIPTION

> cgD3D10IsProfileSupported returns CG_TRUE if the profile indicated by profile is supported by the cgD3D10 library.

> # EXAMPLES

>         // assuming the program requires Shader Model 3.0 ...

>         if ((!cgD3D10IsProfileSupported(CG_PROFILE_VS_3_0)) ||
>             (!cgD3D10IsProfileSupported(CG_PROFILE_PS_3_0))) {
>           fprintf(stderr, "Sorry, required profiles not supported on this system.\n");
>           exit(1);
>         }

> # ERRORS

> None.

> # HISTORY

> cgD3D10IsProfileSupported was introduced in Cg 2.1.

> # SEE ALSO

> cgD3D10GetLatestPixelProfile, cgD3D10GetLatestVertexProfile